<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Flex Exercise 2</title>
    <style>
        * {
            font-family: Calibri;
            margin: 0;
            padding: 0;
            font-size: 1.1em;
        }

        html,
        body {
            width: 100%;
            height: 100%;
        }

        #container {
            display: flex;
            flex-direction: column;
            width: 100%;
            height: 100%;
        }

        #container>div{
            border: 1px solid dodgerblue;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #top-area {
            flex: 100px;
        }

        #middle-area {
            flex: calc(100% - 206px);
        }

        #bottom-area {
            flex: 100px;
        }
    </style>
</head>

<body>
    <div id="container">
        <div id="top-area">top area</div>
        <div id="middle-area">middle area</div>
        <div id="bottom-area">bottom area</div>
    </div>
</body>

</html>